## z80asm 1.2

=== Makefile ===
# Makefile for the Z80 assembler by shevek
# Copyright (C) 2002-2005  Bas Wijnen
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

CC = gcc
LDFLAGS = -O2 -Wall
CFLAGS = -O2 -Wall -Wwrite-strings -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wnested-externs -Winline -pedantic -ansi -Wshadow -g -W -Ignulib
SHELL = /bin/bash
VERSION ?= $(shell echo -n `cat VERSION | cut -d. -f1`. ; echo $$[`cat VERSION | cut -d. -f2` + 1])

all:z80asm

z80asm:z80asm.c Makefile gnulib/getopt.o gnulib/getopt1.o
	$(CC) $(CFLAGS) $(LDFLAGS) -DVERSION=\"$(shell cat VERSION)\" $< gnulib/getopt.o gnulib/getopt1.o -o $@

gnulib/%.o:gnulib/%.c gnulib/getopt.h Makefile
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	for i in . gnulib examples headers ; do \
		rm -f $$i/core $$i/*~ $$i/\#* $$i/*.o $$i/*.rom ; \
	done
	rm -f z80asm z80asm.exe

dist: clean
	echo $(VERSION) > VERSION
	rm -rf /tmp/z80asm-$(VERSION) /tmp/z80asm
	tar cf - -C .. z80asm | tar xf - -C /tmp
	find /tmp/z80asm -name CVS | xargs rm -rf
	mv /tmp/z80asm /tmp/z80asm-$(VERSION)
	tar cvzf ../z80asm-$(VERSION).tar.gz -C /tmp z80asm-$(VERSION)

=== examples/Makefile ===
# Makefile using z80asm
# The output of the assembler can be parsed by vim or emacs.

all: hello.rom macro.rom

%.rom: %.asm
	../z80asm -I ../headers $< -o $@

## z80asm 1.5

=== Makefile ===
--- 
+++ 
@@ -11,23 +11,23 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 CC = gcc
-LDFLAGS = -O2 -Wall
-CFLAGS = -O2 -Wall -Wwrite-strings -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wnested-externs -Winline -pedantic -ansi -Wshadow -g -W -Ignulib
+CFLAGS = -O0 -Wall -Wwrite-strings -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wnested-externs -Winline -pedantic -ansi -Wshadow -ggdb3 -W -Ignulib
 SHELL = /bin/bash
 VERSION ?= $(shell echo -n `cat VERSION | cut -d. -f1`. ; echo $$[`cat VERSION | cut -d. -f2` + 1])
 
 all:z80asm
 
-z80asm:z80asm.c Makefile gnulib/getopt.o gnulib/getopt1.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -DVERSION=\"$(shell cat VERSION)\" $< gnulib/getopt.o gnulib/getopt1.o -o $@
+z80asm: z80asm.o expressions.o Makefile gnulib/getopt.o gnulib/getopt1.o
+	$(CC) $(LDFLAGS) $(filter %.o,$^) -o $@
+	$(MAKE) -C tests || rm $@
 
-gnulib/%.o:gnulib/%.c gnulib/getopt.h Makefile
-	$(CC) $(CFLAGS) -c $< -o $@
+%.o:%.c z80asm.h gnulib/getopt.h Makefile
+	$(CC) $(CFLAGS) -c $< -o $@ -DVERSION=\"$(shell cat VERSION)\"
 
 clean:
 	for i in . gnulib examples headers ; do \

## z80asm 1.6

=== Makefile ===
# Makefile for the Z80 assembler by shevek
# Copyright 2002-2007  Bas Wijnen
#
# This file is part of z80asm.
#
# Z80asm is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Z80asm is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

CC = gcc
CFLAGS = -O0 -Wall -Wwrite-strings -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wnested-externs -Winline -pedantic -ansi -Wshadow -ggdb3 -W -Ignulib
SHELL = /bin/bash
VERSION ?= $(shell echo -n `cat VERSION | cut -d. -f1`. ; echo $$[`cat VERSION | cut -d. -f2` + 1])

all:z80asm

z80asm: z80asm.o expressions.o Makefile gnulib/getopt.o gnulib/getopt1.o
	$(CC) $(LDFLAGS) $(filter %.o,$^) -o $@
	$(MAKE) -C tests || rm $@

%.o:%.c z80asm.h gnulib/getopt.h Makefile
	$(CC) $(CFLAGS) -c $< -o $@ -DVERSION=\"$(shell cat VERSION)\"

clean:
	for i in . gnulib examples headers ; do \
		rm -f $$i/core $$i/*~ $$i/\#* $$i/*.o $$i/*.rom ; \
	done
	rm -f z80asm z80asm.exe

dist: clean
	! git status | grep modified
	echo $(VERSION) > VERSION
	git add VERSION
	-git commit -m "Release version $(VERSION)"
	rm -rf /tmp/z80asm-$(VERSION)
	git archive --format=tar --prefix=z80asm-$(VERSION)/ HEAD | tar xf - -C /tmp
	tar cvzf ../z80asm-$(VERSION).tar.gz -C /tmp z80asm-$(VERSION)
	rm -r /tmp/z80asm-$(VERSION)

## z80asm 1.8

=== Makefile ===
--- 
+++ 
@@ -45,3 +45,6 @@
 	git archive --format=tar --prefix=z80asm-$(VERSION)/ HEAD | tar xf - -C /tmp
 	tar cvzf ../z80asm-$(VERSION).tar.gz -C /tmp z80asm-$(VERSION)
 	rm -r /tmp/z80asm-$(VERSION)
+	cd .. && gpg -b z80asm-$(VERSION).tar.gz
+	scp ../z80asm-$(VERSION).tar.gz* dl.sv.nongnu.org:/releases/z80asm/
+	git push

=== examples/Makefile ===
# Makefile using z80asm
# Copyright 2005-2007  Bas Wijnen
#
# This file is part of z80asm.
#
# Z80asm is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Z80asm is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# The output of the assembler can be parsed by vim or emacs.

all: hello.rom macro.rom

%.rom: %.asm
	z80asm $< -o $@

=== tests/Makefile ===
# Makefile using z80asm
# Copyright 2007  Bas Wijnen <wijnen@debian.org>
#
# This file is part of z80asm.
#
# Z80asm is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Z80asm is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# The output of the assembler can be parsed by vim or emacs.

all: pass

%: %.asm %.correct-err %.correct-bin ../z80asm Makefile
	../z80asm -I ../headers $< -o $@.bin 2> $@.err
	diff $@.correct-bin $@.bin
	diff $@.correct-err $@.err
	rm $@.bin $@.err

clean:
	rm -f *-actual.err *.bin

.PHONY: clean all

=== debian/changelog ===
z80asm (1.8-2) unstable; urgency=medium

  * Declare source format 3.0. Apply existing change to patch. (Closes: #1007310)
  * Update debhelper compat level to 10.
  * Update standards version to 4.6.2. No changes needed.
  * Use machine-readable copyright format.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 17 Aug 2023 16:13:44 +0200

z80asm (1.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch by Vagrant Cascadian to make the build reproducible. The
    build path was being embedded in /usr/bin/z80asm. (Closes: #1020875)
  * Apply patch from Helmut Grohne to make as z80asm cross build correctly. It
    was failing because it ran its own testsuite despite the value of
    DEB_BUILD_OPTIONS=nocheck; the upstream build system ran them as part of
    the "build" target and offers no specific test target. (Closes: #939775)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 09:09:08 -0700

z80asm (1.8-1) unstable; urgency=low

  * New upstream release.  Fixes defw bug.  (Closes: #519098)
  * Update standards version (no changes needed).
  * Update to debhelper 7.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 04 May 2009 23:31:14 +0200

z80asm (1.6-1) unstable; urgency=low

  * New upstream release.  (Closes: #428821, #431017)
  * Update debian/copyright to GPL version 3 or later.
  * Don't ignore errors from make clean.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 10 Sep 2007 00:42:01 +0200

z80asm (1.5-1) unstable; urgency=high

  * New upstream release.
  * High urgency, because it the fix for #427614, which is RC, has not yet
    migrated to testing.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 14 Jun 2007 12:38:47 +0200

z80asm (1.4-1) unstable; urgency=low

  * New upstream release.  (Closes: #427614)

 -- Bas Wijnen <wijnen@debian.org>  Thu, 07 Jun 2007 10:58:09 +0200

z80asm (1.3-1) unstable; urgency=low

  * New upstream release.  (Closes: #423917, #423910)
  * Update standards version to 3.7.2.  (No changes needed.)
  * Add watch file.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 24 May 2007 14:27:38 +0200

z80asm (1.2-1) unstable; urgency=low

  * New upstream release

 -- Bas Wijnen <shevek@fmf.nl>  Fri, 13 May 2005 14:40:33 +0200

z80asm (1.1-1) unstable; urgency=low

  * Initial Release.  (Closes: #308310)

 -- Bas Wijnen <shevek@fmf.nl>  Thu, 12 May 2005 00:48:57 +0200

=== debian/control ===
Source: z80asm
Section: devel
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.6.2

Package: z80asm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: openmsx
Description: assembler for the Zilog Z80 microprocessor
 The Z80 microprocessor is used in old home computers, such as the
 ZX spectrum and MSX, and in several newer devices, such as the TI-83
 graphical calculator and (a stripped down version) in the (original) GameBoy.
 .
 This assembler is meant for developers who write code (in assembly) for
 such devices.
 .
 Features include:
  * macros
  * including other sources
  * complex expressions (similar to bash)
  * labels of unlimited length
  * conditional compilation depending on expressions

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C tests
endif

=== debian/watch ===
version=3
http://download.savannah.nongnu.org/releases/z80asm/z80asm-(.*\..*)\.tar\.gz
